import { type DomainEvent } from '@modules/shared';

export class ListingApprovedEvent implements DomainEvent {
  readonly eventName = 'listing.approved';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly propertyId: string,
  ) {}
}
